Bug 408871 - system-config-display unable to create a working configuration with Intel 845G chipset
system-config-display unable to create a working configuration with Intel 845...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 12:14 EST by Michal Jaegermann
Modified: 2009-01-09 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.setup.log from a failed configuration attempt (1.25 KB, text/plain)
2007-12-03 12:14 EST, Michal Jaegermann
no flags Details
working xorg.conf inherited from FC6 (1.79 KB, text/plain)
2007-12-03 12:15 EST, Michal Jaegermann
no flags Details
log from a working display with i810 driver (57.99 KB, text/plain)
2007-12-03 12:17 EST, Michal Jaegermann
no flags Details
log from a failed test with "i810" driver replaced in xorg.conf by "intel" (19.62 KB, text/plain)
2007-12-03 12:19 EST, Michal Jaegermann
no flags Details
logs from a test with xorg.conf absent (22.94 KB, text/plain)
2007-12-05 19:13 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2007-12-03 12:14:47 EST
Description of problem:

On a laptop (Acer Travelmate 230) with display on 845G chipset
an attempt to configure a display "from scratch" makes only
a black screen and s-c-d quickly returns with "no screens found".
Xorg.setup.log (attached) reveals that an attempt to use "intel"
driver falls flat on its face.

Luckily this is an upgrade from FC6 where, "i810" driver, was used
and with an "inherited" xorg.conf a display still works.  It shows
weird "colour effects" during a startup, making one think that it
possibly already crashed, but eventually it works.

BTW - a test with an old xorg.conf but with a driver replaced by
"intel" ends up with the following:
....
(II) intel(0): I2C bus "DVOI2C_B" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) intel(0): detecting tfp410
(EE) intel(0): Unable to read from DVOI2C_E Slave 112.
(EE) intel(0): tfp410 not detected got VID FFFFFFFF: from DVOI2C_E Slave 112.
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVODDC_D" removed.
(II) intel(0): EDID for output VGA
(II) intel(0): Output VGA disconnected
(EE) intel(0): No valid modes.
....
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-4.fc8
xorg-x11-drv-i810-2.1.1-7.fc8

How reproducible:
always
Comment 1 Michal Jaegermann 2007-12-03 12:14:47 EST
Created attachment 275881 [details]
Xorg.setup.log from a failed configuration attempt
Comment 2 Michal Jaegermann 2007-12-03 12:15:41 EST
Created attachment 275891 [details]
working xorg.conf inherited from FC6
Comment 3 Michal Jaegermann 2007-12-03 12:17:50 EST
Created attachment 275901 [details]
log from a working display with i810 driver
Comment 4 Michal Jaegermann 2007-12-03 12:19:16 EST
Created attachment 275911 [details]
log from a failed test with "i810" driver replaced in xorg.conf by "intel"
Comment 5 Michal Jaegermann 2007-12-03 12:24:56 EST
BTW - possibly as a side-effect of the above anaconda immediately
fails to start in a graphics mode; luckily an update proceeds without
much fuss in a text mode.
Comment 6 Matěj Cepl 2007-12-05 18:34:42 EST
What happens when you try to run X without any /etc/X11/xorg.conf whatsoever?
Could you attach /var/log/Xorg.0.log for such test, please?
Comment 7 Michal Jaegermann 2007-12-05 19:13:28 EST
Created attachment 278961 [details]
logs from a test with xorg.conf absent

It does not happen very much beyond "Unable to locate/open config file"
error.	A fully expected after a failed setup "no screens found".

I thought that I added such log too but it looks like that I forgot.
Comment 8 Adam Jackson 2008-04-11 15:03:40 EDT
Driver bug, not s-c-d bug.
Comment 9 Bug Zapper 2008-11-26 03:48:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:29:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.